> ## Documentation Index
> Fetch the complete documentation index at: https://next.gentrace.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a test case

> Delete a test case by ID



## OpenAPI

````yaml https://raw.githubusercontent.com/gentrace/gentrace-openapi/main/spec.json delete /v4/test-cases/{id}
openapi: 3.1.0
info:
  title: Gentrace API
  version: 0.1.0
  description: API documentation for Gentrace services.
  contact:
    name: Gentrace
    url: https://gentrace.ai
    email: support@gentrace.ai
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://gentrace.ai/api
    description: API Endpoint
security:
  - bearerAuth: []
externalDocs:
  url: https://github.com/gentrace/gentrace-openapi
  description: Gentrace OpenAPI Github
paths:
  /v4/test-cases/{id}:
    delete:
      tags:
        - TestCases
      summary: Delete a test case
      description: Delete a test case by ID
      operationId: deleteTestCase
      parameters:
        - $ref: '#/components/parameters/TestCaseIdPathParam'
      responses:
        '204':
          description: Successful response
        '400':
          description: >-
            Client provided an invalid request for the test case. Please check
            the request format and parameters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
        '401':
          description: No valid API key provided.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '404':
          description: The test case resource does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
        '500':
          description: Something went wrong on Gentrace's end.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
components:
  parameters:
    TestCaseIdPathParam:
      in: path
      name: id
      description: Test Case UUID
      schema:
        $ref: '#/components/schemas/TestCaseIdParam'
      required: true
  schemas:
    BadRequestError:
      type: object
      properties:
        message:
          type: string
          description: A description of the validation error
          example: 'Invalid parameters: ''name'' field is required'
      required:
        - message
    UnauthorizedError:
      type: object
      properties:
        message:
          type: string
          description: Authentication error details
          example: Invalid or expired API key
      required:
        - message
    NotFoundError:
      type: object
      properties:
        message:
          type: string
          description: Resource not found details
          example: Resource with ID '123e4567-e89b-12d3-a456-426614174000' not found
      required:
        - message
    InternalServerError:
      type: object
      properties:
        message:
          type: string
          description: Internal server error details
          example: Internal server error occurred while processing the request
      required:
        - message
    TestCaseIdParam:
      type: string
      format: uuid
      description: Test Case UUID
      example: 123e4567-e89b-12d3-a456-426614174000
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Enter Gentrace API key (Format: Authorization: Bearer <token>)'

````